Get betslip
curl --request GET \
--url https://magicmarkets.com/v2/betslips/{betslip_id}/ \
--header 'X-Api-Key: <api-key>'import requests
url = "https://magicmarkets.com/v2/betslips/{betslip_id}/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://magicmarkets.com/v2/betslips/{betslip_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://magicmarkets.com/v2/betslips/{betslip_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "ok",
"data": {
"betslip_id": "bs-spread-002",
"sport": "fb",
"event_id": "2026-06-15,3003,4004",
"bet_type": "for,ahover,7",
"bet_type_description": "Over 1.5 (Asian)",
"live_score": null,
"expiry_ts": 1781234999,
"is_open": true,
"close_reason": null,
"equivalent_bets": false,
"customer_username": "user1",
"customer_ccy": "USDT",
"betslip_type": "normal",
"price_list": [
{
"effective": {
"price": 7.4,
"min": [
"USDT",
5.769
],
"max": [
"USDT",
92.304
]
}
},
{
"effective": {
"price": 4.2,
"min": [
"USDT",
3.4614
],
"max": [
"USDT",
173.07
]
}
},
{
"effective": {
"price": 2.1,
"min": null,
"max": [
"USDT",
346.14
]
}
}
],
"total": [
"USDT",
611.514
],
"user_data": null
}
}Get betslip
Returns a single betslip with prices and stakes in USDT. price_list may be empty until quotes arrive, or when nothing is currently quoting the selection.
GET
/
v2
/
betslips
/
{betslip_id}
/
Get betslip
curl --request GET \
--url https://magicmarkets.com/v2/betslips/{betslip_id}/ \
--header 'X-Api-Key: <api-key>'import requests
url = "https://magicmarkets.com/v2/betslips/{betslip_id}/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://magicmarkets.com/v2/betslips/{betslip_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://magicmarkets.com/v2/betslips/{betslip_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "ok",
"data": {
"betslip_id": "bs-spread-002",
"sport": "fb",
"event_id": "2026-06-15,3003,4004",
"bet_type": "for,ahover,7",
"bet_type_description": "Over 1.5 (Asian)",
"live_score": null,
"expiry_ts": 1781234999,
"is_open": true,
"close_reason": null,
"equivalent_bets": false,
"customer_username": "user1",
"customer_ccy": "USDT",
"betslip_type": "normal",
"price_list": [
{
"effective": {
"price": 7.4,
"min": [
"USDT",
5.769
],
"max": [
"USDT",
92.304
]
}
},
{
"effective": {
"price": 4.2,
"min": [
"USDT",
3.4614
],
"max": [
"USDT",
173.07
]
}
},
{
"effective": {
"price": 2.1,
"min": null,
"max": [
"USDT",
346.14
]
}
}
],
"total": [
"USDT",
611.514
],
"user_data": null
}
}Authorizations
API key created from the magic-markets website
Path Parameters
Betslip ID

